---
schema_version: "1"
id: 0c89ef5294e3253ebf931e00ba56ef799fe2637a556ef83f381a8bc02dc32519
title: Loan
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/loan.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/loan
source_site: developer.salesforce.com
content_type: documentation
content_hash: b735830fd21e67a20c80c3b26ddf6d0abb5d27b6da670f930a110c13facdfbae
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Loan

# Loan

Use the FSC Loan API to manage loan service processes including payment deferral and due date modifications.

**Version:** v1

Protocols: HTTPS.

## Operations

### PUT Close loan account

`PUT /api/Loan/{loanId}/Update`

Accept the request to close the loan account.

#### Parameters

*   `loanId` (path, string, required) ID of the loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

Details of the request to close the loan account.

*   `Status` (_string_, required) The status of the loan account.  
    Example: `CLOSED`.
*   `ReasonForClosure` (_string_) The reason for closing the loan account.  
    Example: `Fraud Prevention`.

#### Responses

*   **200** Loan account closure request details.
    
    Media type: `application/json`. Schema: `object`.
    
    Response details for the loan account closure request.
    
    *   `LoanAccountId` (_string_, required) The unique ID of the loan account.  
        Example: `3489`.
    *   `Status` (_string_, required) The status of the request to close the loan account. Valid values are Success and Failure.  
        Example: `Success`.
    *   `AccountClosureStatus` (_string_, required) The account closure status of the loan account.  
        Example: `CLOSED`.
*   **400** The server couldn't process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn't find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: Exceeded the API request rate limit.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Loan for Payment Deferral

`POST /api/Loan/{loanId}/PaymentDeferral/Eligibility`

Check the eligibility of Loan for Payment Deferral

#### Parameters

*   `loanId` (path, string, required) ID of the loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `eligibilityVerificationDate` (_date-only_, required) Date on which the deferral eligibility is evaluated.  
    Example: `2026-06-10`.
*   `deferralReason` (_string_, required) Reason provided by the customer for requesting payment deferral, such as medical emergency, financial issues, and so on.  
    Example: `financial_hardship`.

#### Responses

*   **200** Retrieved the eligibility of Payment Deferral
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique ID for the eligibility request.  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required) Indicates whether the account is eligible for payment deferral (`true`) or not (`false`).  
        Example: `true`.
    *   `modifiedPaymentDetails` (_object_, required) Payment modification details if deferral is applied.
        *   `deferredPaymentsCount` (_number_, required)  
            Example: `3`.
        *   `nextDueDateAfterDeferral` (_date-only_, required)  
            Example: `2026-06-15`.
        *   `interestAccruedDuringDeferral` (_number (double)_, required)  
            Example: `200.50`.
    *   `deferralEligibilityExpiryDate` (_date-only_, required) Date until which the deferral eligibility remains valid.  
        Example: `2026-06-01`.
    *   `eligibilityVerificationDate` (_date-only_) Date on which the deferral eligibility was evaluated.  
        Example: `2026-06-18`.
*   **400** The server couldn't process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn't find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: Exceeded the API request rate limit.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Payment Deferral enrollment for Loan

`POST /api/Loan/{loanId}/PaymentDeferral/Enrollment`

Enroll Loan for Payment Deferral

#### Parameters

*   `loanId` (path, string, required) ID of the loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `updatedPaymentDetails` (_object_, required) Details of the updated payment terms to be applied after deferral.
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2026-06-15`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
*   `confirmationDate` (_date-only_, required) Date on which the customer confirms the deferral enrollment.  
    Example: `2026-06-18`.
*   `requiresUpfrontPayment` (_boolean_) Indicates whether an upfront payment is required to proceed with the deferral (`true`) or not (`false`).  
    Example: `false`.

#### Responses

*   **200** Payment Deferral enrollment created successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique identifier for the deferral enrollment request.  
        Example: `12334455`.
    *   `status` (_string_, required) Current status of the deferral enrollment, such as success or failed.  
        Example: `Success`.
    *   `nextDueDateAfterDeferral` (_date-only_, required) Next payment due date after applying the deferral.  
        Example: `2026-06-15`.
    *   `deferredPaymentsCount` (_number_, required) Number of payments that have been deferred.  
        Example: `3`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required) Total interest amount that's accumulated during the deferral period.  
        Example: `200.50`.
    *   `confirmationDate` (_date-only_, required) Date on which the customer confirmed the deferral.  
        Example: `2026-06-18`.
    *   `requiresUpfrontPayment` (_boolean_) Indicates whether an upfront payment was required as part of the deferral.  
        Example: `false`.
*   **400** The server couldn't process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn't find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: Exceeded the API request rate limit.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Loan for Due Date Change

`POST /api/Loan/{loanId}/DueDateChange/Eligibility`

Check the eligibility of Loan for Due Date Change

#### Parameters

*   `loanId` (path, string, required) ID of the loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required) Frequency of payments for the account, such as monthly or bi-weekly.  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required) Preferred day of the cycle or month for future payment due dates.  
    Minimum: 1. Maximum: 28. Example: `2`.

#### Responses

*   **200** Retrieved the eligibility of Due Date Change
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique identifier for the eligibility request.  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required) Indicates whether the due date change is allowed (`true`) or not (`false`).  
        Example: `true`.
    *   `paymentFrequency` (_string_, required) Frequency of payments for the account, such as monthly or bi-weekly.  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required) Preferred day of the cycle or month for future payment due dates.  
        Minimum: 1. Maximum: 28. Example: `2`.
    *   `currentDueDate` (_date-only_, required) Existing payment due date before any modification.  
        Example: `2026-06-15`.
    *   `eligibilityCriteriaMet` (_array of any_) Indicates whether all required eligibility conditions are satisfied (`true`) or not (`false`).
        
        _Example_
        
        ```
        - "No past due payments"
        - "Loan balance under $10,000"
        ```
        
    *   `modifiedPaymentDetails` (_object_, required) Proposed updated payment schedule reflecting the requested due date change.
        *   `paymentAmount` (_number (double)_, required)  
            Example: `250.75`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `5000.00`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `35.25`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2026-06-15`.
*   **400** The server couldn't process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn't find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: Exceeded the API request rate limit.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Due Date Change confirmation for Loan

`POST /api/Loan/{loanId}/DueDateChange/Confirmation`

Confirm Loan for Due Date Change

#### Parameters

*   `loanId` (path, string, required) ID of the loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required) Finalized payment frequency to be applied, such as monthly or bi-weekly.  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required) Recurring due day for payments.  
    Example: `3`.
*   `confirmation` (_boolean_, required) Indicates whether the customer accepted the due date change terms (`true`) or not (`false`).  
    Example: `true`.
*   `confirmationTimestamp` (_datetime_, required) Date and time when the customer provided their confirmation.  
    Example: `2026-06-10T09:53:06.851858Z`.
*   `modifiedPaymentDetails` (_object_, required) Details of the final payment schedule to be applied after customer confirmation.
    *   `paymentAmount` (_number (double)_, required)  
        Example: `2000.05`.
    *   `remainingBalance` (_number (double)_, required)  
        Example: `20000`.
    *   `interestAccrued` (_number (double)_, required)  
        Example: `20.05`.
    *   `nextPaymentDueDate` (_date-only_, required)  
        Example: `2026-06-01`.

#### Responses

*   **200** Due Date Change confirmed successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique ID for the due date change confirmation request.  
        Example: `12334455`.
    *   `confirmationStatus` (_string_, required) Status of the due date change request.  
        Example: `Confirmed`.
    *   `paymentFrequency` (_string_, required) Payment frequency that's applied after confirmation.  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required) Recurring due day that's applied.  
        Example: `3`.
    *   `modifiedPaymentDetails` (_object_, required) Finalized payment schedule after applying the due date change.
        *   `paymentAmount` (_number (double)_, required)  
            Example: `2000.05`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `20000`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `20.05`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2026-06-01`.
*   **400** The server couldn't process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Authorization failed.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn't find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PUT /api/Loan/{loanId}/Update 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: Exceeded the API request rate limit.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### ErrorResponse

Standard message body to return with the error responses.

*   `errorCode` (_string_, required) Short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) Verbose human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) Request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) Event date and time.  
    Example: `2019-09-23T11:46:44.256-05:00`.